import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import vuetify from './plugins/vuetify';

Vue.config.productionTip = false

// icon-loader
import Icon from 'vue-svg-icon/Icon.vue'
Vue.component('icon', Icon);

// 剪切板
import VueClipboard from "vue-clipboard2";
Vue.use(VueClipboard);

// 手势控件
import VueTouch from "vue-touch";
Vue.use(VueTouch, {name: 'v-touch'})

// vconsole
import Vconsole from 'vconsole';
new Vconsole();

new Vue({
  router,
  store,
  vuetify,
  render: h => h(App)
}).$mount('#app')
